dedecms7月15更新补丁导致DEDECMS 出现的一些问题

2017-04-20 dedecms
最近 DEDE漏洞爆的厉害 更新也平凡 这次主要说说 7月15日更新后网站出现的一些不正常情况 以及解决方法。

问题一  升级后无法登陆后台 出现以下提示

DedeCMS Error: ( 5.3 and above) Please set 'request_order' ini value to include C,G and P (recommended: 'CGP') in php.ini,more...

这个问题其实官方已经给出了答案 。 只是修改一下PHP.INI 文件中的某个属性

可以在phpinfo中查看对应的php.ini配置目录,找到下面选项:
request_order = "GP"
更改为
request_order = "CGP"
重启后即可。

(注:如果你使用的是服务器或者VPS 可以自行修改 如果是虚拟主机请联系空间商)

问题二 评论功能以及 其它功能无法正常使用!

这个问题是因为本次补丁升级后 系统后台 默认禁止了在模板文件中执行 PHP  因此导致很多模板文件使用了PHP 执行的功能失效 解决方法同样简单

登陆网站后台 -系统--系统基本参数--其它选项

在模板引擎禁用标签: 写了个“PHP” 直接删除 取消禁止 一起就恢复正常了